﻿
<div id="header">
    <a asp-controller="Home" asp-action="Index" class="logo">
        <img src="@Url.Content("~/images/logo.jpg")" alt="">
    </a>

    <ul id="navigation">
        <li class="selected">
            <a class="nav-link" asp-controller="Home" asp-action="Index">Home <span class="sr-only">(current)</span></a>
        </li>
        <li>
            <a class="nav-link" asp-controller="Playlists" asp-action="Index">Playlists</a>
        </li>
        @if (User.Identity.IsAuthenticated)
        {
            <li class="nav-item">
                <a class="nav-link" asp-controller="Playlists" asp-action="MyPlaylists">My Playlists</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" asp-controller="Playlists" asp-action="Create">Create Playlist</a>
            </li>
        }
        else
        {
            <li class="nav-item">
                <a class="nav-link" id="login" asp-area="Identity" asp-page="/Account/Login">Create Playlist</a>
            </li>
        }

        @if (User.IsInRole("Admin"))
        {
            <li class="nav-item">
                <a class="nav-link" asp-controller="Admin" asp-action="Users">Users</a>
            </li>
        }

        <partial name="_LoginPartial" />
    </ul>
</div>